//
//  TOPEG_to_HepMC2.cpp
//  
//
//  Created by Charles Hyde on 7/13/21.
/* @brief
 *  Convert TOPEG ^{A}Z DVCS file to HepMC2 file
 * Add crossing angle to kinematics
 */

#include "TOPEG_to_HepMC2.hpp"
// skeleton topegCLASS.h and topegCLASS.C created by
// TOPEG->MakeClass("topegCLASS")
#define topegCLASS_cxx
//void topegCLASS::Loop();
#include "include/topegCLASS.h"
#include "include/topegCLASS.cpp"

int TOPEG_to_HepMC2(const char *inFile="Out-EIChigh-M3", const char *Helicity="Nh", const char *fNum="002"){
//    char outputfile[128];
    
    // sprintf( inputfile,"../input/%s-%s-%s.root",  inFile,Helicity,fNum);
    sprintf(outputfile,"../output/%s-%s-%s.hepMC2", inFile,Helicity,fNum);
    
    /*
     TFile *inRoot = TFile::Open(inputfile,"readonly");
    if (!inRoot){
        printf("error opening file %s \n", inputfile);
        return -1;
    } else {
        printf("Opened file %s \n", inputfile);
    }
     */
    dbPDG->TDatabasePDG::AddParticle("4He","alpha", alpha_mass, kTRUE,0.0,6.0,"nuclei", 1000020040,-1,0);
    /*Setup HepMC2 output format
    printf("opening output file %s \n",outputfile);
    HepMC3::WriterAsciiHepMC2 hep_output(outputfile);
    
    if (!(HepMC3::WriterAsciiHepMC2 hep_output(outputfile))){
        printf("error opening output HepMC file %s \n", outputfile);
        return -1;
    }
     */
   
//    printf("output file %s  opened \n",outputfile);

    topegCLASS TOPEG;
    TOPEG.Loop();
        
    return 0;
}
