//
//  TOPEG_to_HepMC2.hpp
//  
//
//  Created by chyde on 7/13/21.
/* @brief
 * MepHC3 inbstallation via homebrew on OSX Big Sur
 * export HEPMCPATH="/usr/local/Cellar/hepmc3/3.2.2"
 * export CPLUS_INCLUDE_PATH=$HEPMCPATH/include
 * export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$HEPMCPATH/lib
 */
//

#ifndef TOPEG_to_HepMC2_hpp
#define TOPEG_to_HepMC2_hpp

#include <stdio.h>

#include <TTree.h>
#include <TFile.h>
#include <TSystem.h>
#include <TCanvas.h>
#include <TH1.h>
#include <TH2.h>
#include <TStyle.h>
#include <TROOT.h>
#include <TChain.h>

#include <TLorentzVector.h>
#include <TDatabasePDG.h>

#include "HepMC3/GenEvent.h"
//#include "HepMC3/WriterAscii.h" // for MC3 format
#include "HepMC3/WriterAsciiHepMC2.h"
//#include "HepMC3/ReaderRoot.h"  // not in directory
#include "HepMC3/Print.h"

using namespace HepMC3;
HepMC3::FourVector hep_4vec;
const double beamStatus = 4;
const double scatStatus = 1; // Stable particle

auto *dbPDG = TDatabasePDG::Instance();
const double umass = 0.931494; // GeV, atomic mass unit u
const double alpha_mass = 4.0*umass+2.4249e-3;
/*
 TParticlePDG* TDatabasePDG::AddParticle(const char *name, const char *title,
                                         Double_t mass, Bool_t stable,
                                         Double_t width, Double_t charge,
                                         const char* ParticleClass,
                                         Int_t PDGcode,
                                         Int_t Anti,
                                         Int_t TrackingCode)
 Charge of proton = 3.0
 */


const double pi = TMath::Pi();

const char inputfile[64]="../input/Out-EIChigh-M3-Nh-002.root";
char outputfile[128];

const double CrossingTheta = 0.035;  //IP8, IP6 = 0.026
const double CrossingPhi   = 0.0;  //IP8, IP6 = pi

#endif /* TOPEG_to_HepMC2_hpp */
